/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.hadoop.gateway.services.security;

import java.security.cert.Certificate;
import java.util.List;

import org.apache.hadoop.gateway.services.Service;

public interface AliasService extends Service {

  public abstract List<String> getAliasesForCluster(String clusterName);

  public abstract void addAliasForCluster(String clusterName, String alias, String value);

  public abstract void removeAliasForCluster(String clusterName, String alias);

  public abstract char[] getPasswordFromAliasForCluster(String clusterName, String alias);

  public abstract char[] getPasswordFromAliasForCluster(String clusterName, String alias, boolean generate);

  void generateAliasForCluster(String clusterName, String alias);

  public abstract char[] getPasswordFromAliasForGateway(String alias);

  void generateAliasForGateway(String alias);
  
  Certificate getCertificateForGateway(String alias);
}